Bug 1476394 - [RFE] do not reap tasks from pulp if they are not completed
[RFE] do not reap tasks from pulp if they are not completed
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FieldEngineering, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 16:14 EDT by Chris Duryee
Modified: 2017-08-02 01:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 2949 Normal NEW As a user, task history is removed only for completed tasks 2017-07-31 16:32 EDT

  None (edit)
Description Chris Duryee 2017-07-28 16:14:02 EDT
Description of problem:

If a Satellite system left for some time with Pulp not processing tasks, it is possible for the task reaper to remove tasks that are not in finished state.

After this happens, dynflow will get a 404 when polling the task, and raise errors. It is not possible to debug the root cause of why the tasks weren't being picked up since they got deleted.

Ideally, only completed tasks would be reaped.

Version-Release number of selected component (if applicable): 6.2.10
Comment 1 pulp-infra@redhat.com 2017-07-31 16:32:33 EDT
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.
Comment 2 pulp-infra@redhat.com 2017-07-31 16:32:36 EDT
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.
Comment 3 Tanya Tereshchenko 2017-08-01 11:19:58 EDT
The reaper task in Pulp removes records from task_status collection based on time only. This is a current behavior and it is working as expected.

The suggested behavior change (to reap completed tasks only) is reasonable and it's filed upstream as an RFE.

Changing this BZ to RFE as well.

Note You need to log in before you can comment on or make changes to this bug.